$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
//    $("body").on("change", '.type', DailyMon);
    $("body").on("keyup", '.day, .salary', SalCal);
    $("body").on("change", '.type', SalCal);
    $(".tbody").on("blur", '.salhour', autoAddRows);

    $('#addnew').click(function () {
        AddRows();
    });

    function autoAddRows() {
        var ctr = $('#items').val();
        var tr = $(this).closest("tr");
        var srno = tr.find(".srno").val();
        if (srno == ctr) {
            AddRows();

        }
    }

    function SalCal() {
        var salary = $(".salary").val();
        var day = $(".day").val();
        var type = $('.type').val();
        if (salary !== '' && day !== '') {
            if (type === 'D') {
                var salph2 = salary / day;
                var salph = salph2.toFixed(2);
                $(".salaryph").val(salph);
            } else {
                var salph2 = salary / day;
                var salph1 = salph2 / 30;
                var salph = salph1.toFixed(2);
                $(".salaryph").val(salph);
            }
        }
    }

//    function DailyMon() {
//        var type = $('.type').val();
//        if (type === 'M') {
//            $(".salaryph").val(0);
//            $(".salaryph").attr('disabled', 'disabled');
//            $(".day").val(0);
//            $(".day").attr('disabled', 'disabled');
//        } else {
//            $(".salaryph").removeAttr('disabled');
//            $(".day").removeAttr('disabled');
//        }
//    }  var num = 5.56789;
//  var n = num.toFixed(2);

    function remove() {
        $(this).closest("tr").remove();
    }

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('staf_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }



});